# Configure benchmark rate Configure the benchmark rate and its start date. Used to calculate interest accual for floating and hybrid investments. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Banking - Interest management", "version": "1.0.0", "description": "API to handle interest-bearing account operations", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox-integration.pismolabs.io/interest-management", "description": "Sandbox API server for testing" }, { "url": "https://sandbox.pismolabs.io/passport/v2/s2s/access-token", "description": "Sandbox API for oauth2" } ], "tags": [ { "name": "Benchmark rate", "description": "Manage benchmarks" } ], "components": { "parameters": { "Authorization": { "name": "authorization", "in": "header", "description": "Authorization", "required": true, "example": "Bearer ac194ce4-ecbe-4007-91bd-94babf388e7278f243bc-4ad8-4ead-a2c3-f42a548fe760", "schema": { "type": "string" } }, "ContentType": { "name": "content-type", "in": "header", "description": "Content type", "required": true, "example": "application/json", "schema": { "type": "string" } } }, "schemas": { "BenchmarkRequired": { "type": "string", "description": "Market index used to measure interest value over time.\n - BOE: Bank of England, UK\n - DI: Interbank Deposit Contract, Brazil\n - FED: Federal Reserve System, USA\n - RBA: Reserve Bank of Australia\n - RBI: Reserve Bank of India \n", "enum": [ "BOE", "DI", "FED", "RBA", "RBI" ], "example": "FED" }, "BenchmarkRate": { "type": "number", "format": "double", "description": "Annual market index rate", "example": 0.104 }, "BenchmarkRateRequest": { "title": "Benchmark rate request", "type": "object", "properties": { "benchmark": { "$ref": "#/components/schemas/BenchmarkRequired" }, "benchmark_rate": { "$ref": "#/components/schemas/BenchmarkRate" }, "start_date": { "$ref": "#/components/schemas/StartDate" } }, "required": [ "benchmark", "benchmark_rate", "start_date" ], "example": { "benchmark": "FED", "benchmark_rate": 0.104, "start_date": "2024-09-04" } }, "BenchmarkRateResponse": { "title": "Benchmark rate response", "type": "object", "properties": { "benchmark_rate": { "$ref": "#/components/schemas/BenchmarkRate" }, "start_date": { "$ref": "#/components/schemas/StartDate" }, "version": { "$ref": "#/components/schemas/Version" } } }, "StartDate": { "type": "string", "format": "date", "description": "Date to start applying the benchmark rate in the accrual process. Format = YYYY-MM-DD.", "example": "2024-09-10" }, "Version": { "type": "string", "description": "Benchmark rate version. Format = YYYY-MM.", "example": "2024-09" } }, "responses": { "400BadRequest": { "description": "Bad request" }, "401Unauthorized": { "description": "Unauthorized" }, "500InternalServerError": { "description": "Internal server error" }, "404NotFound": { "description": "Not found" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "security": [ { "BearerAuth": [] } ], "paths": { "/v1/interest/benchmark-rate": { "post": { "summary": "Configure benchmark rate", "description": "Configure the benchmark rate and its start date. Used to calculate interest accual for floating and hybrid investments.\n", "tags": [ "Benchmark rate" ], "operationId": "post-v1-benchmark-rate", "parameters": [ { "$ref": "#/components/parameters/ContentType" }, { "$ref": "#/components/parameters/Authorization" } ], "requestBody": { "description": "Request body", "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/BenchmarkRateRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/BenchmarkRateResponse" } } } }, "400": { "$ref": "#/components/responses/400BadRequest" }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "404": { "$ref": "#/components/responses/404NotFound" }, "500": { "$ref": "#/components/responses/500InternalServerError" } } } } } } ```